Skip to main content
POST
/
tickets
/
{ticket_id}
/
comments
Create a comment for a ticket
curl --request POST \
  --url https://{your-subdomain}.neetodesk.com/api/external/v2/tickets/{ticket_id}/comments \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <x-api-key>' \
  --data '
{
  "author_email": "lenor@example.com",
  "content": "We are looking into the issue.",
  "comment_type": "note"
}
'
{
  "comment": {
    "id": "aaaabbbb-cccc-dddd-eeee-ffff00002222",
    "created_at": "2023-11-07T05:31:56Z",
    "comment_type": "reply",
    "content": "We are looking into the issue and will update you shortly.",
    "author": {
      "id": "aaaabbbb-cccc-dddd-eeee-ffff00001111",
      "name": "Oliver Smith",
      "email": "oliver@example.com",
      "type": "user"
    },
    "attachments": [
      {
        "id": "aaaabbbb-cccc-dddd-eeee-ffff00003333",
        "url": "https://example.com/attachments/screenshot.png",
        "filename": "screenshot.png"
      }
    ]
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Path Parameters

ticket_id
string
required

ID of the ticket. You can use either the ticket ID (UUID) or ticket number (sequential number) interchangeably. Refer to Getting Ticket ID section for detailed instructions.

Body

application/json
author_email
string
required

Email address of the person creating the comment.

Example:

"lenor@example.com"

content
string
required

Content for the comment.

Example:

"We are looking into the issue."

comment_type
enum<string>

The type of the comment. Defaults to reply.

Available options:
reply,
note
Example:

"note"

Response

201 - application/json

Created - Comment created successfully

comment
object